收藏
回答

用wepy1.x真机调试会报Can not call $apply in $apply proce

框架类型 问题类型 操作系统 工具版本
小程序 Bug Windows 1.03.2005140

使用wepy1.x的$apply()方法就报错 回退到旧版本提示需要更新到最新版本才能真机调试 是官方已经放弃wepy1.x了吗?

回答关注问题邀请回答
收藏

1 个回答

  • Admin²⁰²¹
    Admin²⁰²¹
    2020-06-29

    目前我也有个项目在用wepy1.72,可以正常维护。

    建议你更新开发者工具到0628版:

    1.04.2006282 Windows 64Windows 32macOS

    基于 NW.js 0.44.6 版本

    然后参考下面的项目设置再试试

    附带建议:以后还是可以不用框架的地方坚决用原生的F4方式开发(.js,.json,.wxml,.wxss合称微信小程序F4)。

    2020-06-29
    有用
    回复 6
    • Brother斌🎈
      Brother斌🎈
      2020-06-29
      还是不行一用组件的repeat就不能真机调试
      2020-06-29
      回复
    • Admin²⁰²¹
      Admin²⁰²¹
      2020-06-29回复Brother斌🎈
      别说这个repeat了,赶紧趁早抛弃。最好连wepy也抛弃吧。2.x也别用,已经是一个死项目了。
      2020-06-29
      回复
    • Admin²⁰²¹
      Admin²⁰²¹
      2020-06-29回复Brother斌🎈
      repeat的这种操作,已经带偏了wepy,哎~
      2020-06-29
      回复
    • Brother斌🎈
      Brother斌🎈
      2020-06-29
      我也想啊 公司旧项目已经不给时间重构了
      2020-06-29
      回复
    • Admin²⁰²¹
      Admin²⁰²¹
      2020-06-29回复Brother斌🎈
      如果确定是组件repeat的问题,那就想办法去掉吧。自己重写个原生组件代替掉,在组件内部wx:for。我现在基本不用wepy的组件,全部写原生组件
      2020-06-29
      回复
    查看更多(1)
登录 后发表内容
问题标签